package require -exact qsys 12.1

# module properties
set_module_property NAME {usbslave_system_export}
set_module_property DISPLAY_NAME {usbslave_system_export_display}

# default module properties
set_module_property VERSION {1.0}
set_module_property GROUP {default group}
set_module_property DESCRIPTION {default description}
set_module_property AUTHOR {author}

# Instances and instance parameters
# (disabled instances are intentionally culled)
add_instance clk_0 clock_source 13.0
set_instance_parameter_value clk_0 clockFrequency {50000000.0}
set_instance_parameter_value clk_0 clockFrequencyKnown {1}
set_instance_parameter_value clk_0 resetSynchronousEdges {NONE}

add_instance nios2_qsys_0 altera_nios2_qsys 13.0
set_instance_parameter_value nios2_qsys_0 setting_showUnpublishedSettings {0}
set_instance_parameter_value nios2_qsys_0 setting_showInternalSettings {0}
set_instance_parameter_value nios2_qsys_0 setting_preciseSlaveAccessErrorException {0}
set_instance_parameter_value nios2_qsys_0 setting_preciseIllegalMemAccessException {0}
set_instance_parameter_value nios2_qsys_0 setting_preciseDivisionErrorException {0}
set_instance_parameter_value nios2_qsys_0 setting_performanceCounter {0}
set_instance_parameter_value nios2_qsys_0 setting_illegalMemAccessDetection {0}
set_instance_parameter_value nios2_qsys_0 setting_illegalInstructionsTrap {0}
set_instance_parameter_value nios2_qsys_0 setting_fullWaveformSignals {0}
set_instance_parameter_value nios2_qsys_0 setting_extraExceptionInfo {0}
set_instance_parameter_value nios2_qsys_0 setting_exportPCB {0}
set_instance_parameter_value nios2_qsys_0 setting_debugSimGen {0}
set_instance_parameter_value nios2_qsys_0 setting_clearXBitsLDNonBypass {1}
set_instance_parameter_value nios2_qsys_0 setting_bit31BypassDCache {1}
set_instance_parameter_value nios2_qsys_0 setting_bigEndian {0}
set_instance_parameter_value nios2_qsys_0 setting_export_large_RAMs {0}
set_instance_parameter_value nios2_qsys_0 setting_asic_enabled {0}
set_instance_parameter_value nios2_qsys_0 setting_asic_synopsys_translate_on_off {0}
set_instance_parameter_value nios2_qsys_0 setting_oci_export_jtag_signals {0}
set_instance_parameter_value nios2_qsys_0 setting_bhtIndexPcOnly {0}
set_instance_parameter_value nios2_qsys_0 setting_avalonDebugPortPresent {0}
set_instance_parameter_value nios2_qsys_0 setting_alwaysEncrypt {1}
set_instance_parameter_value nios2_qsys_0 setting_allowFullAddressRange {0}
set_instance_parameter_value nios2_qsys_0 setting_activateTrace {1}
set_instance_parameter_value nios2_qsys_0 setting_activateTestEndChecker {0}
set_instance_parameter_value nios2_qsys_0 setting_activateMonitors {1}
set_instance_parameter_value nios2_qsys_0 setting_activateModelChecker {0}
set_instance_parameter_value nios2_qsys_0 setting_HDLSimCachesCleared {1}
set_instance_parameter_value nios2_qsys_0 setting_HBreakTest {0}
set_instance_parameter_value nios2_qsys_0 muldiv_divider {0}
set_instance_parameter_value nios2_qsys_0 mpu_useLimit {0}
set_instance_parameter_value nios2_qsys_0 mpu_enabled {0}
set_instance_parameter_value nios2_qsys_0 mmu_enabled {0}
set_instance_parameter_value nios2_qsys_0 mmu_autoAssignTlbPtrSz {1}
set_instance_parameter_value nios2_qsys_0 manuallyAssignCpuID {1}
set_instance_parameter_value nios2_qsys_0 debug_triggerArming {1}
set_instance_parameter_value nios2_qsys_0 debug_embeddedPLL {1}
set_instance_parameter_value nios2_qsys_0 debug_debugReqSignals {0}
set_instance_parameter_value nios2_qsys_0 debug_assignJtagInstanceID {0}
set_instance_parameter_value nios2_qsys_0 dcache_omitDataMaster {0}
set_instance_parameter_value nios2_qsys_0 cpuReset {0}
set_instance_parameter_value nios2_qsys_0 is_hardcopy_compatible {0}
set_instance_parameter_value nios2_qsys_0 setting_shadowRegisterSets {0}
set_instance_parameter_value nios2_qsys_0 mpu_numOfInstRegion {8}
set_instance_parameter_value nios2_qsys_0 mpu_numOfDataRegion {8}
set_instance_parameter_value nios2_qsys_0 mmu_TLBMissExcOffset {0}
set_instance_parameter_value nios2_qsys_0 debug_jtagInstanceID {0}
set_instance_parameter_value nios2_qsys_0 resetOffset {0}
set_instance_parameter_value nios2_qsys_0 exceptionOffset {32}
set_instance_parameter_value nios2_qsys_0 cpuID {0}
set_instance_parameter_value nios2_qsys_0 cpuID_stored {0}
set_instance_parameter_value nios2_qsys_0 breakOffset {32}
set_instance_parameter_value nios2_qsys_0 userDefinedSettings {}
set_instance_parameter_value nios2_qsys_0 resetSlave {epcs_flash_controller_0.epcs_control_port}
set_instance_parameter_value nios2_qsys_0 mmu_TLBMissExcSlave {None}
set_instance_parameter_value nios2_qsys_0 exceptionSlave {new_sdram_controller_0.s1}
set_instance_parameter_value nios2_qsys_0 breakSlave {nios2_qsys_0.jtag_debug_module}
set_instance_parameter_value nios2_qsys_0 setting_perfCounterWidth {32}
set_instance_parameter_value nios2_qsys_0 setting_interruptControllerType {Internal}
set_instance_parameter_value nios2_qsys_0 setting_branchPredictionType {Automatic}
set_instance_parameter_value nios2_qsys_0 setting_bhtPtrSz {8}
set_instance_parameter_value nios2_qsys_0 muldiv_multiplierType {EmbeddedMulFast}
set_instance_parameter_value nios2_qsys_0 mpu_minInstRegionSize {12}
set_instance_parameter_value nios2_qsys_0 mpu_minDataRegionSize {12}
set_instance_parameter_value nios2_qsys_0 mmu_uitlbNumEntries {4}
set_instance_parameter_value nios2_qsys_0 mmu_udtlbNumEntries {6}
set_instance_parameter_value nios2_qsys_0 mmu_tlbPtrSz {7}
set_instance_parameter_value nios2_qsys_0 mmu_tlbNumWays {16}
set_instance_parameter_value nios2_qsys_0 mmu_processIDNumBits {8}
set_instance_parameter_value nios2_qsys_0 impl {Tiny}
set_instance_parameter_value nios2_qsys_0 icache_size {4096}
set_instance_parameter_value nios2_qsys_0 icache_tagramBlockType {Automatic}
set_instance_parameter_value nios2_qsys_0 icache_ramBlockType {Automatic}
set_instance_parameter_value nios2_qsys_0 icache_numTCIM {0}
set_instance_parameter_value nios2_qsys_0 icache_burstType {None}
set_instance_parameter_value nios2_qsys_0 dcache_bursts {false}
set_instance_parameter_value nios2_qsys_0 dcache_victim_buf_impl {ram}
set_instance_parameter_value nios2_qsys_0 debug_level {Level1}
set_instance_parameter_value nios2_qsys_0 debug_OCIOnchipTrace {_128}
set_instance_parameter_value nios2_qsys_0 dcache_size {2048}
set_instance_parameter_value nios2_qsys_0 dcache_tagramBlockType {Automatic}
set_instance_parameter_value nios2_qsys_0 dcache_ramBlockType {Automatic}
set_instance_parameter_value nios2_qsys_0 dcache_numTCDM {0}
set_instance_parameter_value nios2_qsys_0 dcache_lineSize {32}
set_instance_parameter_value nios2_qsys_0 setting_exportvectors {0}
set_instance_parameter_value nios2_qsys_0 setting_ecc_present {0}
set_instance_parameter_value nios2_qsys_0 regfile_ramBlockType {Automatic}
set_instance_parameter_value nios2_qsys_0 ocimem_ramBlockType {Automatic}
set_instance_parameter_value nios2_qsys_0 mmu_ramBlockType {Automatic}
set_instance_parameter_value nios2_qsys_0 bht_ramBlockType {Automatic}

add_instance sysid_qsys_0 altera_avalon_sysid_qsys 13.0
set_instance_parameter_value sysid_qsys_0 id {0}

add_instance jtag_uart_0 altera_avalon_jtag_uart 13.0.1.99.2
set_instance_parameter_value jtag_uart_0 allowMultipleConnections {0}
set_instance_parameter_value jtag_uart_0 hubInstanceID {0}
set_instance_parameter_value jtag_uart_0 readBufferDepth {64}
set_instance_parameter_value jtag_uart_0 readIRQThreshold {8}
set_instance_parameter_value jtag_uart_0 simInputCharacterStream {}
set_instance_parameter_value jtag_uart_0 simInteractiveOptions {NO_INTERACTIVE_WINDOWS}
set_instance_parameter_value jtag_uart_0 useRegistersForReadBuffer {0}
set_instance_parameter_value jtag_uart_0 useRegistersForWriteBuffer {0}
set_instance_parameter_value jtag_uart_0 useRelativePathForSimFile {0}
set_instance_parameter_value jtag_uart_0 writeBufferDepth {64}
set_instance_parameter_value jtag_uart_0 writeIRQThreshold {8}

add_instance pio_0 altera_avalon_pio 13.0.1.99.2
set_instance_parameter_value pio_0 bitClearingEdgeCapReg {0}
set_instance_parameter_value pio_0 bitModifyingOutReg {0}
set_instance_parameter_value pio_0 captureEdge {1}
set_instance_parameter_value pio_0 direction {Input}
set_instance_parameter_value pio_0 edgeType {RISING}
set_instance_parameter_value pio_0 generateIRQ {1}
set_instance_parameter_value pio_0 irqType {EDGE}
set_instance_parameter_value pio_0 resetValue {0.0}
set_instance_parameter_value pio_0 simDoTestBenchWiring {0}
set_instance_parameter_value pio_0 simDrivenValue {0.0}
set_instance_parameter_value pio_0 width {4}

add_instance timer_0 altera_avalon_timer 13.0.1.99.2
set_instance_parameter_value timer_0 alwaysRun {0}
set_instance_parameter_value timer_0 counterSize {32}
set_instance_parameter_value timer_0 fixedPeriod {0}
set_instance_parameter_value timer_0 period {1}
set_instance_parameter_value timer_0 periodUnits {MSEC}
set_instance_parameter_value timer_0 resetOutput {0}
set_instance_parameter_value timer_0 snapshot {1}
set_instance_parameter_value timer_0 timeoutPulseOutput {0}

add_instance onchip_memory2_0 altera_avalon_onchip_memory2 13.0.1.99.2
set_instance_parameter_value onchip_memory2_0 allowInSystemMemoryContentEditor {0}
set_instance_parameter_value onchip_memory2_0 blockType {AUTO}
set_instance_parameter_value onchip_memory2_0 dataWidth {32}
set_instance_parameter_value onchip_memory2_0 dualPort {1}
set_instance_parameter_value onchip_memory2_0 initMemContent {0}
set_instance_parameter_value onchip_memory2_0 initializationFileName {onchip_mem.hex}
set_instance_parameter_value onchip_memory2_0 instanceID {NONE}
set_instance_parameter_value onchip_memory2_0 memorySize {49152.0}
set_instance_parameter_value onchip_memory2_0 readDuringWriteMode {DONT_CARE}
set_instance_parameter_value onchip_memory2_0 simAllowMRAMContentsFile {0}
set_instance_parameter_value onchip_memory2_0 simMemInitOnlyFilename {0}
set_instance_parameter_value onchip_memory2_0 singleClockOperation {1}
set_instance_parameter_value onchip_memory2_0 slave1Latency {1}
set_instance_parameter_value onchip_memory2_0 slave2Latency {1}
set_instance_parameter_value onchip_memory2_0 useNonDefaultInitFile {0}
set_instance_parameter_value onchip_memory2_0 useShallowMemBlocks {0}
set_instance_parameter_value onchip_memory2_0 writable {1}

add_instance epcs_flash_controller_0 altera_avalon_epcs_flash_controller 13.0.1.99.2
set_instance_parameter_value epcs_flash_controller_0 autoSelectASMIAtom {1}
set_instance_parameter_value epcs_flash_controller_0 useASMIAtom {0}

add_instance timer_1 altera_avalon_timer 13.0.1.99.2
set_instance_parameter_value timer_1 alwaysRun {0}
set_instance_parameter_value timer_1 counterSize {32}
set_instance_parameter_value timer_1 fixedPeriod {0}
set_instance_parameter_value timer_1 period {1}
set_instance_parameter_value timer_1 periodUnits {MSEC}
set_instance_parameter_value timer_1 resetOutput {0}
set_instance_parameter_value timer_1 snapshot {1}
set_instance_parameter_value timer_1 timeoutPulseOutput {0}

add_instance fm_usbs_wrapper_0 fm_usbs_wrapper 1.0

add_instance altpll_0 altpll 13.0
set_instance_parameter_value altpll_0 HIDDEN_CUSTOM_ELABORATION {altpll_avalon_elaboration}
set_instance_parameter_value altpll_0 HIDDEN_CUSTOM_POST_EDIT {altpll_avalon_post_edit}
set_instance_parameter_value altpll_0 INTENDED_DEVICE_FAMILY {Cyclone III}
set_instance_parameter_value altpll_0 WIDTH_CLOCK {5}
set_instance_parameter_value altpll_0 WIDTH_PHASECOUNTERSELECT {}
set_instance_parameter_value altpll_0 PRIMARY_CLOCK {}
set_instance_parameter_value altpll_0 INCLK0_INPUT_FREQUENCY {20000}
set_instance_parameter_value altpll_0 INCLK1_INPUT_FREQUENCY {}
set_instance_parameter_value altpll_0 OPERATION_MODE {NORMAL}
set_instance_parameter_value altpll_0 PLL_TYPE {AUTO}
set_instance_parameter_value altpll_0 QUALIFY_CONF_DONE {}
set_instance_parameter_value altpll_0 COMPENSATE_CLOCK {CLK0}
set_instance_parameter_value altpll_0 SCAN_CHAIN {}
set_instance_parameter_value altpll_0 GATE_LOCK_SIGNAL {}
set_instance_parameter_value altpll_0 GATE_LOCK_COUNTER {}
set_instance_parameter_value altpll_0 LOCK_HIGH {}
set_instance_parameter_value altpll_0 LOCK_LOW {}
set_instance_parameter_value altpll_0 VALID_LOCK_MULTIPLIER {}
set_instance_parameter_value altpll_0 INVALID_LOCK_MULTIPLIER {}
set_instance_parameter_value altpll_0 SWITCH_OVER_ON_LOSSCLK {}
set_instance_parameter_value altpll_0 SWITCH_OVER_ON_GATED_LOCK {}
set_instance_parameter_value altpll_0 ENABLE_SWITCH_OVER_COUNTER {}
set_instance_parameter_value altpll_0 SKIP_VCO {}
set_instance_parameter_value altpll_0 SWITCH_OVER_COUNTER {}
set_instance_parameter_value altpll_0 SWITCH_OVER_TYPE {}
set_instance_parameter_value altpll_0 FEEDBACK_SOURCE {}
set_instance_parameter_value altpll_0 BANDWIDTH {}
set_instance_parameter_value altpll_0 BANDWIDTH_TYPE {AUTO}
set_instance_parameter_value altpll_0 SPREAD_FREQUENCY {}
set_instance_parameter_value altpll_0 DOWN_SPREAD {}
set_instance_parameter_value altpll_0 SELF_RESET_ON_GATED_LOSS_LOCK {}
set_instance_parameter_value altpll_0 SELF_RESET_ON_LOSS_LOCK {}
set_instance_parameter_value altpll_0 CLK0_MULTIPLY_BY {2}
set_instance_parameter_value altpll_0 CLK1_MULTIPLY_BY {2}
set_instance_parameter_value altpll_0 CLK2_MULTIPLY_BY {24}
set_instance_parameter_value altpll_0 CLK3_MULTIPLY_BY {1}
set_instance_parameter_value altpll_0 CLK4_MULTIPLY_BY {3}
set_instance_parameter_value altpll_0 CLK5_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 CLK6_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 CLK7_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 CLK8_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 CLK9_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 EXTCLK0_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 EXTCLK1_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 EXTCLK2_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 EXTCLK3_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 CLK0_DIVIDE_BY {1}
set_instance_parameter_value altpll_0 CLK1_DIVIDE_BY {1}
set_instance_parameter_value altpll_0 CLK2_DIVIDE_BY {25}
set_instance_parameter_value altpll_0 CLK3_DIVIDE_BY {2}
set_instance_parameter_value altpll_0 CLK4_DIVIDE_BY {1}
set_instance_parameter_value altpll_0 CLK5_DIVIDE_BY {}
set_instance_parameter_value altpll_0 CLK6_DIVIDE_BY {}
set_instance_parameter_value altpll_0 CLK7_DIVIDE_BY {}
set_instance_parameter_value altpll_0 CLK8_DIVIDE_BY {}
set_instance_parameter_value altpll_0 CLK9_DIVIDE_BY {}
set_instance_parameter_value altpll_0 EXTCLK0_DIVIDE_BY {}
set_instance_parameter_value altpll_0 EXTCLK1_DIVIDE_BY {}
set_instance_parameter_value altpll_0 EXTCLK2_DIVIDE_BY {}
set_instance_parameter_value altpll_0 EXTCLK3_DIVIDE_BY {}
set_instance_parameter_value altpll_0 CLK0_PHASE_SHIFT {0}
set_instance_parameter_value altpll_0 CLK1_PHASE_SHIFT {-1667}
set_instance_parameter_value altpll_0 CLK2_PHASE_SHIFT {0}
set_instance_parameter_value altpll_0 CLK3_PHASE_SHIFT {0}
set_instance_parameter_value altpll_0 CLK4_PHASE_SHIFT {0}
set_instance_parameter_value altpll_0 CLK5_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 CLK6_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 CLK7_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 CLK8_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 CLK9_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 EXTCLK0_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 EXTCLK1_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 EXTCLK2_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 EXTCLK3_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 CLK0_DUTY_CYCLE {50}
set_instance_parameter_value altpll_0 CLK1_DUTY_CYCLE {50}
set_instance_parameter_value altpll_0 CLK2_DUTY_CYCLE {50}
set_instance_parameter_value altpll_0 CLK3_DUTY_CYCLE {50}
set_instance_parameter_value altpll_0 CLK4_DUTY_CYCLE {50}
set_instance_parameter_value altpll_0 CLK5_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 CLK6_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 CLK7_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 CLK8_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 CLK9_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 EXTCLK0_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 EXTCLK1_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 EXTCLK2_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 EXTCLK3_DUTY_CYCLE {}
set_instance_parameter_value altpll_0 PORT_clkena0 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clkena1 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clkena2 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clkena3 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clkena4 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clkena5 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_extclkena0 {}
set_instance_parameter_value altpll_0 PORT_extclkena1 {}
set_instance_parameter_value altpll_0 PORT_extclkena2 {}
set_instance_parameter_value altpll_0 PORT_extclkena3 {}
set_instance_parameter_value altpll_0 PORT_extclk0 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_extclk1 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_extclk2 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_extclk3 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_CLKBAD0 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_CLKBAD1 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clk0 {PORT_USED}
set_instance_parameter_value altpll_0 PORT_clk1 {PORT_USED}
set_instance_parameter_value altpll_0 PORT_clk2 {PORT_USED}
set_instance_parameter_value altpll_0 PORT_clk3 {PORT_USED}
set_instance_parameter_value altpll_0 PORT_clk4 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clk5 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_clk6 {}
set_instance_parameter_value altpll_0 PORT_clk7 {}
set_instance_parameter_value altpll_0 PORT_clk8 {}
set_instance_parameter_value altpll_0 PORT_clk9 {}
set_instance_parameter_value altpll_0 PORT_SCANDATA {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCANDATAOUT {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCANDONE {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCLKOUT1 {}
set_instance_parameter_value altpll_0 PORT_SCLKOUT0 {}
set_instance_parameter_value altpll_0 PORT_ACTIVECLOCK {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_CLKLOSS {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_INCLK1 {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_INCLK0 {PORT_USED}
set_instance_parameter_value altpll_0 PORT_FBIN {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_PLLENA {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_CLKSWITCH {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_ARESET {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_PFDENA {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCANCLK {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCANACLR {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCANREAD {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCANWRITE {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_ENABLE0 {}
set_instance_parameter_value altpll_0 PORT_ENABLE1 {}
set_instance_parameter_value altpll_0 PORT_LOCKED {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_CONFIGUPDATE {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_FBOUT {}
set_instance_parameter_value altpll_0 PORT_PHASEDONE {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_PHASESTEP {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_PHASEUPDOWN {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_SCANCLKENA {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_PHASECOUNTERSELECT {PORT_UNUSED}
set_instance_parameter_value altpll_0 PORT_VCOOVERRANGE {}
set_instance_parameter_value altpll_0 PORT_VCOUNDERRANGE {}
set_instance_parameter_value altpll_0 DPA_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 DPA_DIVIDE_BY {}
set_instance_parameter_value altpll_0 DPA_DIVIDER {}
set_instance_parameter_value altpll_0 VCO_MULTIPLY_BY {}
set_instance_parameter_value altpll_0 VCO_DIVIDE_BY {}
set_instance_parameter_value altpll_0 SCLKOUT0_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 SCLKOUT1_PHASE_SHIFT {}
set_instance_parameter_value altpll_0 VCO_FREQUENCY_CONTROL {}
set_instance_parameter_value altpll_0 VCO_PHASE_SHIFT_STEP {}
set_instance_parameter_value altpll_0 USING_FBMIMICBIDIR_PORT {}
set_instance_parameter_value altpll_0 SCAN_CHAIN_MIF_FILE {}
set_instance_parameter_value altpll_0 AVALON_USE_SEPARATE_SYSCLK {NO}
set_instance_parameter_value altpll_0 HIDDEN_CONSTANTS {CT#CLK2_DIVIDE_BY 25 CT#PORT_clk5 PORT_UNUSED CT#PORT_clk4 PORT_UNUSED CT#PORT_clk3 PORT_USED CT#PORT_clk2 PORT_USED CT#PORT_clk1 PORT_USED CT#PORT_clk0 PORT_USED CT#CLK0_MULTIPLY_BY 2 CT#PORT_SCANWRITE PORT_UNUSED CT#PORT_SCANACLR PORT_UNUSED CT#PORT_PFDENA PORT_UNUSED CT#CLK3_DUTY_CYCLE 50 CT#CLK3_DIVIDE_BY 2 CT#PORT_PLLENA PORT_UNUSED CT#PORT_SCANDATA PORT_UNUSED CT#CLK3_PHASE_SHIFT 0 CT#PORT_SCANCLKENA PORT_UNUSED CT#CLK4_DIVIDE_BY 1 CT#WIDTH_CLOCK 5 CT#PORT_SCANDATAOUT PORT_UNUSED CT#CLK4_MULTIPLY_BY 3 CT#LPM_TYPE altpll CT#PLL_TYPE AUTO CT#CLK0_PHASE_SHIFT 0 CT#CLK1_DUTY_CYCLE 50 CT#PORT_PHASEDONE PORT_UNUSED CT#OPERATION_MODE NORMAL CT#PORT_CONFIGUPDATE PORT_UNUSED CT#CLK1_MULTIPLY_BY 2 CT#COMPENSATE_CLOCK CLK0 CT#PORT_CLKSWITCH PORT_UNUSED CT#CLK4_PHASE_SHIFT 0 CT#INCLK0_INPUT_FREQUENCY 20000 CT#CLK4_DUTY_CYCLE 50 CT#PORT_SCANDONE PORT_UNUSED CT#PORT_CLKLOSS PORT_UNUSED CT#PORT_INCLK1 PORT_UNUSED CT#AVALON_USE_SEPARATE_SYSCLK NO CT#PORT_INCLK0 PORT_USED CT#PORT_clkena5 PORT_UNUSED CT#PORT_clkena4 PORT_UNUSED CT#PORT_clkena3 PORT_UNUSED CT#PORT_clkena2 PORT_UNUSED CT#PORT_clkena1 PORT_UNUSED CT#PORT_clkena0 PORT_UNUSED CT#CLK1_PHASE_SHIFT -1667 CT#PORT_ARESET PORT_UNUSED CT#BANDWIDTH_TYPE AUTO CT#CLK2_MULTIPLY_BY 24 CT#INTENDED_DEVICE_FAMILY {Cyclone III} CT#PORT_SCANREAD PORT_UNUSED CT#CLK2_DUTY_CYCLE 50 CT#PORT_PHASESTEP PORT_UNUSED CT#PORT_SCANCLK PORT_UNUSED CT#PORT_CLKBAD1 PORT_UNUSED CT#PORT_CLKBAD0 PORT_UNUSED CT#PORT_FBIN PORT_UNUSED CT#PORT_PHASEUPDOWN PORT_UNUSED CT#PORT_extclk3 PORT_UNUSED CT#PORT_extclk2 PORT_UNUSED CT#PORT_extclk1 PORT_UNUSED CT#PORT_PHASECOUNTERSELECT PORT_UNUSED CT#PORT_extclk0 PORT_UNUSED CT#PORT_ACTIVECLOCK PORT_UNUSED CT#CLK2_PHASE_SHIFT 0 CT#CLK0_DUTY_CYCLE 50 CT#CLK0_DIVIDE_BY 1 CT#CLK1_DIVIDE_BY 1 CT#CLK3_MULTIPLY_BY 1 CT#PORT_LOCKED PORT_UNUSED}
set_instance_parameter_value altpll_0 HIDDEN_PRIVATES {PT#GLOCKED_FEATURE_ENABLED 0 PT#SPREAD_FEATURE_ENABLED 0 PT#BANDWIDTH_FREQ_UNIT MHz PT#CUR_DEDICATED_CLK c0 PT#INCLK0_FREQ_EDIT 50.000 PT#BANDWIDTH_PRESET Low PT#PLL_LVDS_PLL_CHECK 0 PT#BANDWIDTH_USE_PRESET 0 PT#AVALON_USE_SEPARATE_SYSCLK NO PT#OUTPUT_FREQ_UNIT4 MHz PT#OUTPUT_FREQ_UNIT3 MHz PT#PLL_ENHPLL_CHECK 0 PT#OUTPUT_FREQ_UNIT2 MHz PT#OUTPUT_FREQ_UNIT1 MHz PT#OUTPUT_FREQ_UNIT0 MHz PT#PHASE_RECONFIG_FEATURE_ENABLED 1 PT#CREATE_CLKBAD_CHECK 0 PT#CLKSWITCH_CHECK 0 PT#INCLK1_FREQ_EDIT 100.000 PT#NORMAL_MODE_RADIO 1 PT#SRC_SYNCH_COMP_RADIO 0 PT#PLL_ARESET_CHECK 0 PT#LONG_SCAN_RADIO 1 PT#SCAN_FEATURE_ENABLED 1 PT#USE_CLK4 1 PT#USE_CLK3 1 PT#USE_CLK2 1 PT#PHASE_RECONFIG_INPUTS_CHECK 0 PT#USE_CLK1 1 PT#USE_CLK0 1 PT#PRIMARY_CLK_COMBO inclk0 PT#BANDWIDTH 1.000 PT#GLOCKED_COUNTER_EDIT_CHANGED 1 PT#PLL_FASTPLL_CHECK 0 PT#SPREAD_FREQ_UNIT KHz PT#LVDS_PHASE_SHIFT_UNIT4 deg PT#LVDS_PHASE_SHIFT_UNIT3 deg PT#PLL_AUTOPLL_CHECK 1 PT#OUTPUT_FREQ_MODE4 1 PT#LVDS_PHASE_SHIFT_UNIT2 deg PT#OUTPUT_FREQ_MODE3 1 PT#LVDS_PHASE_SHIFT_UNIT1 deg PT#OUTPUT_FREQ_MODE2 1 PT#LVDS_PHASE_SHIFT_UNIT0 deg PT#OUTPUT_FREQ_MODE1 1 PT#SWITCHOVER_FEATURE_ENABLED 0 PT#MIG_DEVICE_SPEED_GRADE Any PT#OUTPUT_FREQ_MODE0 1 PT#BANDWIDTH_FEATURE_ENABLED 1 PT#INCLK0_FREQ_UNIT_COMBO MHz PT#ZERO_DELAY_RADIO 0 PT#OUTPUT_FREQ4 150.00000000 PT#OUTPUT_FREQ3 25.00000000 PT#OUTPUT_FREQ2 48.00000000 PT#OUTPUT_FREQ1 100.00000000 PT#OUTPUT_FREQ0 100.00000000 PT#SHORT_SCAN_RADIO 0 PT#LVDS_MODE_DATA_RATE_DIRTY 0 PT#CUR_FBIN_CLK c0 PT#PLL_ADVANCED_PARAM_CHECK 0 PT#CLKBAD_SWITCHOVER_CHECK 0 PT#PHASE_SHIFT_STEP_ENABLED_CHECK 0 PT#DEVICE_SPEED_GRADE Any PT#PLL_FBMIMIC_CHECK 0 PT#LVDS_MODE_DATA_RATE {Not Available} PT#PHASE_SHIFT4 0.00000000 PT#LOCKED_OUTPUT_CHECK 0 PT#SPREAD_PERCENT 0.500 PT#PHASE_SHIFT3 0.00000000 PT#DIV_FACTOR4 1 PT#PHASE_SHIFT2 0.00000000 PT#DIV_FACTOR3 2 PT#DIV_FACTOR2 25 PT#PHASE_SHIFT1 -60.00000000 PT#DIV_FACTOR1 1 PT#PHASE_SHIFT0 0.00000000 PT#DIV_FACTOR0 1 PT#CNX_NO_COMPENSATE_RADIO 0 PT#USE_CLKENA4 0 PT#USE_CLKENA3 0 PT#USE_CLKENA2 0 PT#USE_CLKENA1 0 PT#USE_CLKENA0 0 PT#CREATE_INCLK1_CHECK 0 PT#GLOCK_COUNTER_EDIT 1048575 PT#INCLK1_FREQ_UNIT_COMBO MHz PT#EFF_OUTPUT_FREQ_VALUE4 150.000000 PT#EFF_OUTPUT_FREQ_VALUE3 25.000000 PT#EFF_OUTPUT_FREQ_VALUE2 48.000000 PT#EFF_OUTPUT_FREQ_VALUE1 100.000000 PT#EFF_OUTPUT_FREQ_VALUE0 100.000000 PT#SPREAD_FREQ 50.000 PT#USE_MIL_SPEED_GRADE 0 PT#EXPLICIT_SWITCHOVER_COUNTER 0 PT#STICKY_CLK4 1 PT#STICKY_CLK3 1 PT#STICKY_CLK2 1 PT#STICKY_CLK1 1 PT#STICKY_CLK0 1 PT#MIRROR_CLK4 0 PT#EXT_FEEDBACK_RADIO 0 PT#MIRROR_CLK3 0 PT#MIRROR_CLK2 0 PT#MIRROR_CLK1 0 PT#SWITCHOVER_COUNT_EDIT 1 PT#MIRROR_CLK0 0 PT#SELF_RESET_LOCK_LOSS 0 PT#PLL_PFDENA_CHECK 0 PT#INT_FEEDBACK__MODE_RADIO 1 PT#INCLK1_FREQ_EDIT_CHANGED 1 PT#SYNTH_WRAPPER_GEN_POSTFIX 0 PT#CLKLOSS_CHECK 0 PT#PHASE_SHIFT_UNIT4 deg PT#PHASE_SHIFT_UNIT3 deg PT#PHASE_SHIFT_UNIT2 deg PT#PHASE_SHIFT_UNIT1 deg PT#PHASE_SHIFT_UNIT0 deg PT#BANDWIDTH_USE_AUTO 1 PT#HAS_MANUAL_SWITCHOVER 1 PT#MULT_FACTOR4 1 PT#MULT_FACTOR3 1 PT#MULT_FACTOR2 24 PT#MULT_FACTOR1 1 PT#MULT_FACTOR0 1 PT#SPREAD_USE 0 PT#GLOCKED_MODE_CHECK 0 PT#DUTY_CYCLE4 50.00000000 PT#DUTY_CYCLE3 50.00000000 PT#DUTY_CYCLE2 50.00000000 PT#SACN_INPUTS_CHECK 0 PT#DUTY_CYCLE1 50.00000000 PT#INTENDED_DEVICE_FAMILY {Cyclone III} PT#DUTY_CYCLE0 50.00000000 PT#PLL_TARGET_HARCOPY_CHECK 0 PT#INCLK1_FREQ_UNIT_CHANGED 1 PT#RECONFIG_FILE ALTPLL1372981370804131.mif PT#ACTIVECLK_CHECK 0}
set_instance_parameter_value altpll_0 HIDDEN_USED_PORTS {UP#locked used UP#c4 used UP#c3 used UP#c2 used UP#c1 used UP#c0 used UP#areset used UP#inclk0 used}
set_instance_parameter_value altpll_0 HIDDEN_IS_NUMERIC {IN#WIDTH_CLOCK 1 IN#CLK0_DUTY_CYCLE 1 IN#CLK2_DIVIDE_BY 1 IN#PLL_TARGET_HARCOPY_CHECK 1 IN#CLK3_DIVIDE_BY 1 IN#CLK4_MULTIPLY_BY 1 IN#CLK1_MULTIPLY_BY 1 IN#CLK3_DUTY_CYCLE 1 IN#CLK4_DIVIDE_BY 1 IN#SWITCHOVER_COUNT_EDIT 1 IN#INCLK0_INPUT_FREQUENCY 1 IN#PLL_LVDS_PLL_CHECK 1 IN#PLL_AUTOPLL_CHECK 1 IN#PLL_FASTPLL_CHECK 1 IN#CLK1_DUTY_CYCLE 1 IN#PLL_ENHPLL_CHECK 1 IN#CLK2_MULTIPLY_BY 1 IN#DIV_FACTOR4 1 IN#DIV_FACTOR3 1 IN#DIV_FACTOR2 1 IN#DIV_FACTOR1 1 IN#DIV_FACTOR0 1 IN#LVDS_MODE_DATA_RATE_DIRTY 1 IN#CLK4_DUTY_CYCLE 1 IN#GLOCK_COUNTER_EDIT 1 IN#CLK2_DUTY_CYCLE 1 IN#CLK0_DIVIDE_BY 1 IN#CLK3_MULTIPLY_BY 1 IN#MULT_FACTOR4 1 IN#MULT_FACTOR3 1 IN#MULT_FACTOR2 1 IN#MULT_FACTOR1 1 IN#MULT_FACTOR0 1 IN#CLK0_MULTIPLY_BY 1 IN#USE_MIL_SPEED_GRADE 1 IN#CLK1_DIVIDE_BY 1}
set_instance_parameter_value altpll_0 HIDDEN_MF_PORTS {MF#areset 1 MF#clk 1 MF#locked 1 MF#inclk 1}
set_instance_parameter_value altpll_0 HIDDEN_IF_PORTS {IF#locked {output 0} IF#reset {input 0} IF#clk {input 0} IF#readdata {output 32} IF#write {input 0} IF#phasedone {output 0} IF#c4 {output 0} IF#c3 {output 0} IF#address {input 2} IF#c2 {output 0} IF#c1 {output 0} IF#c0 {output 0} IF#writedata {input 32} IF#read {input 0} IF#areset {input 0}}
set_instance_parameter_value altpll_0 HIDDEN_IS_FIRST_EDIT {0}

# connections and connection parameters
add_connection clk_0.clk_reset nios2_qsys_0.reset_n reset

add_connection clk_0.clk_reset sysid_qsys_0.reset reset

add_connection nios2_qsys_0.data_master sysid_qsys_0.control_slave avalon
set_connection_parameter_value nios2_qsys_0.data_master/sysid_qsys_0.control_slave arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/sysid_qsys_0.control_slave baseAddress {0x0000}
set_connection_parameter_value nios2_qsys_0.data_master/sysid_qsys_0.control_slave defaultConnection {0}

add_connection clk_0.clk_reset jtag_uart_0.reset reset

add_connection nios2_qsys_0.data_master jtag_uart_0.avalon_jtag_slave avalon
set_connection_parameter_value nios2_qsys_0.data_master/jtag_uart_0.avalon_jtag_slave arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/jtag_uart_0.avalon_jtag_slave baseAddress {0x0008}
set_connection_parameter_value nios2_qsys_0.data_master/jtag_uart_0.avalon_jtag_slave defaultConnection {0}

add_connection nios2_qsys_0.jtag_debug_module_reset nios2_qsys_0.reset_n reset

add_connection nios2_qsys_0.instruction_master nios2_qsys_0.jtag_debug_module avalon
set_connection_parameter_value nios2_qsys_0.instruction_master/nios2_qsys_0.jtag_debug_module arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.instruction_master/nios2_qsys_0.jtag_debug_module baseAddress {0x0800}
set_connection_parameter_value nios2_qsys_0.instruction_master/nios2_qsys_0.jtag_debug_module defaultConnection {0}

add_connection nios2_qsys_0.data_master nios2_qsys_0.jtag_debug_module avalon
set_connection_parameter_value nios2_qsys_0.data_master/nios2_qsys_0.jtag_debug_module arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/nios2_qsys_0.jtag_debug_module baseAddress {0x0800}
set_connection_parameter_value nios2_qsys_0.data_master/nios2_qsys_0.jtag_debug_module defaultConnection {0}

add_connection nios2_qsys_0.d_irq jtag_uart_0.irq interrupt
set_connection_parameter_value nios2_qsys_0.d_irq/jtag_uart_0.irq irqNumber {0}

add_connection clk_0.clk_reset pio_0.reset reset

add_connection nios2_qsys_0.data_master pio_0.s1 avalon
set_connection_parameter_value nios2_qsys_0.data_master/pio_0.s1 arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/pio_0.s1 baseAddress {0x0010}
set_connection_parameter_value nios2_qsys_0.data_master/pio_0.s1 defaultConnection {0}

add_connection nios2_qsys_0.d_irq timer_0.irq interrupt
set_connection_parameter_value nios2_qsys_0.d_irq/timer_0.irq irqNumber {1}

add_connection clk_0.clk_reset timer_0.reset reset

add_connection nios2_qsys_0.data_master timer_0.s1 avalon
set_connection_parameter_value nios2_qsys_0.data_master/timer_0.s1 arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/timer_0.s1 baseAddress {0x0020}
set_connection_parameter_value nios2_qsys_0.data_master/timer_0.s1 defaultConnection {0}

add_connection clk_0.clk_reset onchip_memory2_0.reset1 reset

add_connection nios2_qsys_0.instruction_master onchip_memory2_0.s1 avalon
set_connection_parameter_value nios2_qsys_0.instruction_master/onchip_memory2_0.s1 arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.instruction_master/onchip_memory2_0.s1 baseAddress {0x02000000}
set_connection_parameter_value nios2_qsys_0.instruction_master/onchip_memory2_0.s1 defaultConnection {0}

add_connection nios2_qsys_0.d_irq pio_0.irq interrupt
set_connection_parameter_value nios2_qsys_0.d_irq/pio_0.irq irqNumber {2}

add_connection clk_0.clk_reset epcs_flash_controller_0.reset reset

add_connection nios2_qsys_0.data_master epcs_flash_controller_0.epcs_control_port avalon
set_connection_parameter_value nios2_qsys_0.data_master/epcs_flash_controller_0.epcs_control_port arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/epcs_flash_controller_0.epcs_control_port baseAddress {0x1800}
set_connection_parameter_value nios2_qsys_0.data_master/epcs_flash_controller_0.epcs_control_port defaultConnection {0}

add_connection nios2_qsys_0.instruction_master epcs_flash_controller_0.epcs_control_port avalon
set_connection_parameter_value nios2_qsys_0.instruction_master/epcs_flash_controller_0.epcs_control_port arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.instruction_master/epcs_flash_controller_0.epcs_control_port baseAddress {0x1800}
set_connection_parameter_value nios2_qsys_0.instruction_master/epcs_flash_controller_0.epcs_control_port defaultConnection {0}

add_connection nios2_qsys_0.jtag_debug_module_reset epcs_flash_controller_0.reset reset

add_connection nios2_qsys_0.jtag_debug_module_reset sysid_qsys_0.reset reset

add_connection nios2_qsys_0.jtag_debug_module_reset jtag_uart_0.reset reset

add_connection nios2_qsys_0.jtag_debug_module_reset pio_0.reset reset

add_connection nios2_qsys_0.jtag_debug_module_reset timer_0.reset reset

add_connection nios2_qsys_0.jtag_debug_module_reset onchip_memory2_0.reset1 reset

add_connection nios2_qsys_0.data_master onchip_memory2_0.s2 avalon
set_connection_parameter_value nios2_qsys_0.data_master/onchip_memory2_0.s2 arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/onchip_memory2_0.s2 baseAddress {0x02000000}
set_connection_parameter_value nios2_qsys_0.data_master/onchip_memory2_0.s2 defaultConnection {0}

add_connection clk_0.clk_reset timer_1.reset reset

add_connection nios2_qsys_0.data_master timer_1.s1 avalon
set_connection_parameter_value nios2_qsys_0.data_master/timer_1.s1 arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/timer_1.s1 baseAddress {0x0040}
set_connection_parameter_value nios2_qsys_0.data_master/timer_1.s1 defaultConnection {0}

add_connection nios2_qsys_0.jtag_debug_module_reset fm_usbs_wrapper_0.reset_sink reset

add_connection nios2_qsys_0.data_master fm_usbs_wrapper_0.avalon_slave avalon
set_connection_parameter_value nios2_qsys_0.data_master/fm_usbs_wrapper_0.avalon_slave arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/fm_usbs_wrapper_0.avalon_slave baseAddress {0x1000}
set_connection_parameter_value nios2_qsys_0.data_master/fm_usbs_wrapper_0.avalon_slave defaultConnection {0}

add_connection nios2_qsys_0.d_irq fm_usbs_wrapper_0.interrupt_sender interrupt
set_connection_parameter_value nios2_qsys_0.d_irq/fm_usbs_wrapper_0.interrupt_sender irqNumber {3}

add_connection clk_0.clk altpll_0.inclk_interface clock

add_connection clk_0.clk_reset altpll_0.inclk_interface_reset reset

add_connection nios2_qsys_0.data_master altpll_0.pll_slave avalon
set_connection_parameter_value nios2_qsys_0.data_master/altpll_0.pll_slave arbitrationPriority {1}
set_connection_parameter_value nios2_qsys_0.data_master/altpll_0.pll_slave baseAddress {0x0080}
set_connection_parameter_value nios2_qsys_0.data_master/altpll_0.pll_slave defaultConnection {0}

add_connection altpll_0.c0 sysid_qsys_0.clk clock

add_connection altpll_0.c0 jtag_uart_0.clk clock

add_connection altpll_0.c0 pio_0.clk clock

add_connection altpll_0.c0 timer_0.clk clock

add_connection altpll_0.c0 epcs_flash_controller_0.clk clock

add_connection nios2_qsys_0.jtag_debug_module_reset altpll_0.inclk_interface_reset reset

add_connection altpll_0.c0 nios2_qsys_0.clk clock

add_connection altpll_0.c0 onchip_memory2_0.clk1 clock

add_connection altpll_0.c0 timer_1.clk clock

add_connection altpll_0.c0 fm_usbs_wrapper_0.clock_sink clock

add_connection altpll_0.c2 fm_usbs_wrapper_0.clock_sink_1 clock

add_connection nios2_qsys_0.d_irq epcs_flash_controller_0.irq interrupt
set_connection_parameter_value nios2_qsys_0.d_irq/epcs_flash_controller_0.irq irqNumber {4}

# exported interfaces
add_interface clk clock sink
set_interface_property clk EXPORT_OF clk_0.clk_in
add_interface reset reset sink
set_interface_property reset EXPORT_OF clk_0.clk_in_reset
add_interface pio_0_in conduit end
set_interface_property pio_0_in EXPORT_OF pio_0.external_connection
add_interface epcs_flash_controller_0_external conduit end
set_interface_property epcs_flash_controller_0_external EXPORT_OF epcs_flash_controller_0.external
add_interface usb_inout conduit end
set_interface_property usb_inout EXPORT_OF fm_usbs_wrapper_0.conduit_end
add_interface altpll_0_phasedone_conduit conduit end
set_interface_property altpll_0_phasedone_conduit EXPORT_OF altpll_0.phasedone_conduit
add_interface altpll_0_locked_conduit conduit end
set_interface_property altpll_0_locked_conduit EXPORT_OF altpll_0.locked_conduit
add_interface altpll_0_areset_conduit conduit end
set_interface_property altpll_0_areset_conduit EXPORT_OF altpll_0.areset_conduit
add_interface altpll_0_c4_conduit conduit end
set_interface_property altpll_0_c4_conduit EXPORT_OF altpll_0.c4_conduit
